ResourseLoaderParameters = {
    SectorToLoad = 0,
    WindowAnimation = "interface/loader_screen/run_d",
    ProgressAnimation = "interface/loader_screen/garden_1_loading",
    NextScript = "scripts/garden_1.lua",
};

function LoadMainMenu()
    ResourseLoaderParameters.SectorToLoad = 1;
    ResourseLoaderParameters.NextScript = "scripts/mainmenu.lua";
    SwapToModal("scripts/resourceloader.lua");
end;

function LoadMap()
    ResourseLoaderParameters.SectorToLoad = 1;
    ResourseLoaderParameters.NextScript = "scripts/map.lua";
    SwapToModal("scripts/resourceloader.lua");
end;

function LoadMainMenuSilent()
    SilentSwapToSector(1);
end;

function LoadGarden_1()
    ResourseLoaderParameters.SectorToLoad = 2;
    ResourseLoaderParameters.NextScript = "scripts/garden_1.lua";
    SwapToModal("scripts/resourceloader.lua");
end;

function LoadGarden_2()
    ResourseLoaderParameters.SectorToLoad = 3;
    ResourseLoaderParameters.NextScript = "scripts/garden_2.lua";
    SwapToModal("scripts/resourceloader.lua");
end;

function LoadGarden_3()
    ResourseLoaderParameters.SectorToLoad = 4;
    ResourseLoaderParameters.NextScript = "scripts/garden_3.lua";
    SwapToModal("scripts/resourceloader.lua");
end;

function LoadGarden_4()
    ResourseLoaderParameters.SectorToLoad = 5;
    ResourseLoaderParameters.NextScript = "scripts/garden_4.lua";
    SwapToModal("scripts/resourceloader.lua");
end;

function LoadGarden_5()
    ResourseLoaderParameters.SectorToLoad = 6;
    ResourseLoaderParameters.NextScript = "scripts/garden_5.lua";
    SwapToModal("scripts/resourceloader.lua");
end;

function LoadGarden_1_Silent()
    SilentSwapToSector(2);
end;

function ShowCutscene_0()
    SetItemCount("cutscene", 1);
    kQuitConfirmShowed = true;
    SwapToModal("scripts/cutscene_0.lua");
end;

function GotoGarden_1()
    LoadGarden_1();
end;

function GotoGarden_2()
    LoadGarden_2();
end;

function GotoGarden_3()
    LoadGarden_3();
end;

function GotoGarden_4()
    LoadGarden_4();
end;

function GotoGarden_5()
    LoadGarden_5();
end;